Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Edit Advance Invoice Schedule

Idempotency Supported

Modifies the advance invoicing schedule for a subscription.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/edit_advance_invoice_schedule

Input Parameters

terms_to_charge
optional, integer, min=1

The number of billing cycles in one interval.

schedule_type
optional, enumerated string

The type of advance invoice or advance invoicing schedule.

Enum Values
specific_dates

Charge on specific dates. For each date, specify the number of billing cycles to charge for. Up to 5 dates can be configured.

fixed_intervals

Charge at fixed intervals of time. Specify the number of billing cycles that constitute an interval and the number of days before each interval that the invoice should be generated. Also specify when the schedule should end .

fixed_interval_schedule
Parameters for fixed_interval_schedule
pass parameters as fixed_interval_schedule[<param name>]
specific_dates_schedule[0..n]
Parameters for specific_dates_schedule. Multiple specific_dates_schedule can be passed by specifying unique indices.
pass parameters as specific_dates_schedule[<param name>][<idx:0..n>]

Returns

Resource object representing advance_invoice_schedule